//------------------------------------------------------------------------------
// BehaviorVote.cs
//
//     Generic contract for behavior based arbitration
//
// Ben Axelrod, Gaurav Gupta  -  2007
//
//------------------------------------------------------------------------------
using Microsoft.Ccr.Core;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.ServiceModel.Dssp;
using System;
using System.Collections.Generic;
using W3C.Soap;


namespace Microsoft.Robotics.Services.BehaviorVote
{
    /// <summary>
    /// BehaviorVote Contract
    /// </summary>
    public sealed class Contract
    {
        /// The Unique Contract Identifier for the SimplePosition service
        public const string Identifier = "http://schemas.microsoft.com/robotics/2007/04/behaviorvote.html";
    }

    /// <summary>
    /// A vote array for one behavior
    /// </summary>
    [DataContract]
    public class BehaviorVote
    {
        /// <summary>
        /// An array of size 720 (one vote per 0.5 degree)
        /// range +1 to -1.  negative votes are veto votes.
        /// </summary>
        [DataMember]
        public double[] Votes = new double[720];

        /// <summary>
        /// Time stamp of this vote
        /// </summary>
        [DataMember]
        public DateTime TimeStamp;
    }


}
